GNU bug report logs - #38809
[PATCH] bootloader: grub: Add resolution override.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jan Nieuwenhuizen <janneke@HIDDEN>; dated Mon, 30 Dec 2019 10:34:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Removed tag(s) patch. Request was from Jan Nieuwenhuizen <janneke@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 38809-done <at> debbugs.gnu.org:


Received: (at 38809-done) by debbugs.gnu.org; 7 Jan 2020 20:30:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 07 15:30:05 2020
Received: from localhost ([127.0.0.1]:49426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iovUK-0004oz-Pw
	for submit <at> debbugs.gnu.org; Tue, 07 Jan 2020 15:30:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:37063)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1iovUI-0004o4-Vu
 for 38809-done <at> debbugs.gnu.org; Tue, 07 Jan 2020 15:30:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55008)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1iovUD-0005tx-4R; Tue, 07 Jan 2020 15:29:57 -0500
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=48946
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1iovUC-00069W-NZ; Tue, 07 Jan 2020 15:29:56 -0500
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#38809] [PATCH] bootloader: grub: Add resolution override.
References: <87lfquhzmi.fsf@HIDDEN> <20200104164512.7589fa36@HIDDEN>
 <87tv5btdc3.fsf@HIDDEN> <20200105132725.69d1afaa@HIDDEN>
Date: Tue, 07 Jan 2020 21:29:45 +0100
In-Reply-To: <20200105132725.69d1afaa@HIDDEN> (Danny Milosavljevic's
 message of "Sun, 5 Jan 2020 13:27:25 +0100")
Message-ID: <87muazt3gm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38809-done
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 38809-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Danny Milosavljevic writes:

Hi Danny, Tobias,

> Yes, it should be fine.  Thanks!  LGTM.

After chatting with Tobias on irc, pushed to master as a23091880d4dc6115acb=
fa3b7ef09d731fc5abb0

Greetings,
janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Notification sent to Jan Nieuwenhuizen <janneke@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Jan Nieuwenhuizen <janneke@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 38809 <at> debbugs.gnu.org:


Received: (at 38809) by debbugs.gnu.org; 5 Jan 2020 12:27:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 05 07:27:28 2020
Received: from localhost ([127.0.0.1]:43761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1io50C-0001T8-Nn
	for submit <at> debbugs.gnu.org; Sun, 05 Jan 2020 07:27:28 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:34392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1io50B-0001T0-DD
 for 38809 <at> debbugs.gnu.org; Sun, 05 Jan 2020 07:27:27 -0500
Received: from localhost (unknown [185.17.13.127])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id 9605C3366AED;
 Sun,  5 Jan 2020 13:27:26 +0100 (CET)
Date: Sun, 5 Jan 2020 13:27:25 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: [bug#38809] [PATCH] bootloader: grub: Add resolution override.
Message-ID: <20200105132725.69d1afaa@HIDDEN>
In-Reply-To: <87tv5btdc3.fsf@HIDDEN>
References: <87lfquhzmi.fsf@HIDDEN> <20200104164512.7589fa36@HIDDEN>
 <87tv5btdc3.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/G3dtNRl+WucO0NJiAPRijvj";
 protocol="application/pgp-signature"; micalg=pgp-sha256
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38809
Cc: 38809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/G3dtNRl+WucO0NJiAPRijvj
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi janneke,

On Sat, 04 Jan 2020 17:07:24 +0100
Jan Nieuwenhuizen <janneke@HIDDEN> wrote:

> Hmm, yes that's why I had some doubts too.  After Tobias' comment I now
> chose to use a list, and the example now says
>=20
>    (gfxmode '("1024x786x32" "auto"))
>=20
> I hope that people can imagine prepending "keep"?

Yes, it should be fine.  Thanks!  LGTM.


--Sig_/G3dtNRl+WucO0NJiAPRijvj
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl4R1i0ACgkQ5xo1VCww
uqW0FAgAkbn8Nozgt1E5nVJftPcVDWZBQH5YoomY/swpN0+9XWPGo0y2VEOU5JL9
fFd27oQVfHwM2DBYTNHOSaxjueMAiyu/oa2e5jqrPCR/vzi0fViAk1y+iUJ1Nvj5
YhGUvFcENoMYgLPMxXrPWkNywsdZxkpoBtGP02IA0Sby1fwdBudj/Y256V33cL3j
GVhwJ7M6Z8eI0SooMbyfnf1Y3gBaRsgDJtpKVSgV/dsi2E+51qGOjfmM5NAM25x6
4kvE8Uj/ZJ+e+PktM0i6vMhukmn9jHl6gBJ5xQCy95uxmMO/hH5HfawgNKzWZQxp
G+qAfD09/bpCxpwrBV3BysY9gs31PQ==
=+bCA
-----END PGP SIGNATURE-----

--Sig_/G3dtNRl+WucO0NJiAPRijvj--




Information forwarded to guix-patches@HIDDEN:
bug#38809; Package guix-patches. Full text available.

Message received at 38809 <at> debbugs.gnu.org:


Received: (at 38809) by debbugs.gnu.org; 4 Jan 2020 16:07:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 04 11:07:41 2020
Received: from localhost ([127.0.0.1]:43280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1inlxk-0005zf-PU
	for submit <at> debbugs.gnu.org; Sat, 04 Jan 2020 11:07:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57814)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1inlxi-0005zS-ED
 for 38809 <at> debbugs.gnu.org; Sat, 04 Jan 2020 11:07:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52851)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1inlxd-0006z6-2e; Sat, 04 Jan 2020 11:07:33 -0500
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=37428
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1inlxc-0002I2-I7; Sat, 04 Jan 2020 11:07:32 -0500
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Danny Milosavljevic <dannym@HIDDEN>
Subject: Re: [bug#38809] [PATCH] bootloader: grub: Add resolution override.
Organization: AvatarAcademy.nl
References: <87lfquhzmi.fsf@HIDDEN> <20200104164512.7589fa36@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Sat, 04 Jan 2020 17:07:24 +0100
In-Reply-To: <20200104164512.7589fa36@HIDDEN> (Danny Milosavljevic's
 message of "Sat, 4 Jan 2020 16:45:12 +0100")
Message-ID: <87tv5btdc3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38809
Cc: 38809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Danny Milosavljevic writes:

Hi Danny,

>> With this patch I finally have a readable GRUB menu.  I am not sure
>> about the name and semantics of `resolution': Better to use `gfxmode',
>> and/or use a list of strings '("1024x768x32" "auto"), ... WDYT?
>
> Especially with HiDPI, the word "resolution" is ambiguous.
>
> Also, gfxmode values are not standardized (f.e. u-boot would not know what
> to do with them), so using a non-grub-specific key doesn't bring us anyth=
ing.

That's another good argument; thank you for chiming in!  I think we all
agree now.  I sent an updated patch using `gfxmode' in another mail.

> I much prefer lists instead of one string.  But grub apparently has "," a=
nd
> ";" as separators--presumably with the same meaning?

Yes, that was also Tobias' wish, so we now have it as a list too.

> It also has the special value "keep" as possible first item.
>
> In view of this complication it's maybe better not to use lists.

Hmm, yes that's why I had some doubts too.  After Tobias' comment I now
chose to use a list, and the example now says

   (gfxmode '("1024x786x32" "auto"))

I hope that people can imagine prepending "keep"?

Greetings,
janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to guix-patches@HIDDEN:
bug#38809; Package guix-patches. Full text available.

Message received at 38809 <at> debbugs.gnu.org:


Received: (at 38809) by debbugs.gnu.org; 4 Jan 2020 15:45:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 04 10:45:20 2020
Received: from localhost ([127.0.0.1]:43267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1inlc8-0005NX-MH
	for submit <at> debbugs.gnu.org; Sat, 04 Jan 2020 10:45:20 -0500
Received: from dd26836.kasserver.com ([85.13.145.193]:34834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1inlc6-0005NJ-Cw
 for 38809 <at> debbugs.gnu.org; Sat, 04 Jan 2020 10:45:18 -0500
Received: from localhost (unknown [185.17.13.127])
 by dd26836.kasserver.com (Postfix) with ESMTPSA id ACD8033652E3;
 Sat,  4 Jan 2020 16:45:16 +0100 (CET)
Date: Sat, 4 Jan 2020 16:45:12 +0100
From: Danny Milosavljevic <dannym@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: [bug#38809] [PATCH] bootloader: grub: Add resolution override.
Message-ID: <20200104164512.7589fa36@HIDDEN>
In-Reply-To: <87lfquhzmi.fsf@HIDDEN>
References: <87lfquhzmi.fsf@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/uyGIZSUVxpecB_//qGdWnh0";
 protocol="application/pgp-signature"; micalg=pgp-sha256
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38809
Cc: 38809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--Sig_/uyGIZSUVxpecB_//qGdWnh0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi janneke,

On Mon, 30 Dec 2019 11:33:09 +0100
Jan Nieuwenhuizen <janneke@HIDDEN> wrote:

> With this patch I finally have a readable GRUB menu.  I am not sure
> about the name and semantics of `resolution': Better to use `gfxmode',
> and/or use a list of strings '("1024x768x32" "auto"), ... WDYT?

Especially with HiDPI, the word "resolution" is ambiguous.

Also, gfxmode values are not standardized (f.e. u-boot would not know what
to do with them), so using a non-grub-specific key doesn't bring us anythin=
g.

I much prefer lists instead of one string.  But grub apparently has "," and
";" as separators--presumably with the same meaning?

It also has the special value "keep" as possible first item.

In view of this complication it's maybe better not to use lists.

--Sig_/uyGIZSUVxpecB_//qGdWnh0
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEds7GsXJ0tGXALbPZ5xo1VCwwuqUFAl4QswgACgkQ5xo1VCww
uqXyWwf/QRLaIhas5nDXA6Vzeg9mC7O5ByxEGCAHX6NWr7aA6PmN8pkcbLKbgnZB
/kKEKeBkCVmDDxyRdV2Ee44vfe2pi9IQx5jWDJN7UyYSudGbBtMpD7UQcmzd6OjQ
qMGdwjhBbj45WX/yLMfDcRyCTiHQxTf1Tm0e3vB+KeJKQfL797QQpHf/ssin3J+v
8oSSv0ba+0FG5yjvlk22hgNq4fGF5ZKogV3R+VcDLGZQazDHqoOwfg7o7a2SJmtx
LDTkAzwpwwNjj5waArK+6Y1bhKA6mTPKeoCMeb1ZwaCH6pcPHvaYfyKnyJC5XfsC
IOxNmQToOyqMKTepFV/rLn2gOOVq/A==
=mLUt
-----END PGP SIGNATURE-----

--Sig_/uyGIZSUVxpecB_//qGdWnh0--




Information forwarded to guix-patches@HIDDEN:
bug#38809; Package guix-patches. Full text available.

Message received at 38809 <at> debbugs.gnu.org:


Received: (at 38809) by debbugs.gnu.org; 4 Jan 2020 11:48:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 04 06:48:31 2020
Received: from localhost ([127.0.0.1]:42522 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1inhus-0003Ub-Nk
	for submit <at> debbugs.gnu.org; Sat, 04 Jan 2020 06:48:30 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1inhuq-0003UN-8X
 for 38809 <at> debbugs.gnu.org; Sat, 04 Jan 2020 06:48:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50959)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1inhui-0004pR-9v; Sat, 04 Jan 2020 06:48:16 -0500
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=35652
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1inhuh-0003LF-Ro; Sat, 04 Jan 2020 06:48:16 -0500
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#38809] [PATCH] bootloader: grub: Add resolution override.
References: <87lfquhzmi.fsf@HIDDEN> <87lfqn8pwf.fsf@nckx>
Date: Sat, 04 Jan 2020 12:48:06 +0100
In-Reply-To: <87lfqn8pwf.fsf@nckx> (Tobias Geerinckx-Rice's message of "Sat,
 04 Jan 2020 11:41:36 +0100")
Message-ID: <87ftgvv3wp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38809
Cc: 38809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice writes:

> Jan Nieuwenhuizen =E5=86=99=E9=81=93=EF=BC=9A
>> With this patch I finally have a readable GRUB menu.
>
> Thanks!  Perhaps it will help solve my EFI framebuffer woes (probably
> not but who knows.
>
>> I am not sure about the name and semantics of `resolution':
>> Better to use `gfxmode', and/or use a list of strings
>> '("1024x768x32" "auto"), ... WDYT?
>
> Yes please, on both counts.  Grub-theme should expose the GRUB
> variable, not a lossy abstraction.

Okay, I think I just wished the GRUB name would be more meaningful for
casual users (such as myself).  I'm terrible with TLAwords, and very
happy I found and fixed this ;-)

Greetings,
janneke


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0001-bootloader-grub-Add-gfxmode-resolution-override.patch
Content-Transfer-Encoding: quoted-printable

From 333ba3ee53e1c359a01aed80c24d17ece39ad975 Mon Sep 17 00:00:00 2001
From: Jan Nieuwenhuizen <janneke@HIDDEN>
Date: Mon, 30 Dec 2019 11:25:40 +0100
Subject: [PATCH] bootloader: grub: Add gfxmode (resolution) override.

* gnu/bootloader/grub.scm (<grub-theme>): Add `gfxmode' entry.
(eye-candy): Use it.
* doc/guix.texi (Bootloader Configuration): Document it.
---
 doc/guix.texi           | 27 +++++++++++++++++++++++++--
 gnu/bootloader/grub.scm | 13 +++++++++----
 2 files changed, 34 insertions(+), 6 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 70e3dfea6a..eaa4e7ab97 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -25923,9 +25923,21 @@ must @emph{not} be an OS device name such as @file=
{/dev/sda1}.
 @end table
 @end deftp
=20
+@cindex HDPI
+@cindex resolution
 @c FIXME: Write documentation once it's stable.
-For now only GRUB has theme support. GRUB themes are created using
-the @code{grub-theme} form, which is not documented yet.
+For now only GRUB has theme support.  GRUB themes are created using
+the @code{grub-theme} form, which is not fully documented yet.
+
+@deftp {Data Type} grub-theme
+Data type representing the configuration of the GRUB theme.
+
+@table @asis
+@item @code{gfxmode} (default: @code{'("auto")})
+The GRUB @code{gfxmode} to set (a list of screen resolution strings, see
+@pxref{gfxmode,,, grub, GNU GRUB manual}).
+@end table
+@end deftp
=20
 @defvr {Scheme Variable} %default-theme
 This is the default GRUB theme used by the operating system if no
@@ -25936,6 +25948,17 @@ It comes with a fancy background image displaying =
the GNU and Guix
 logos.
 @end defvr
=20
+For example, to override the default resolution, you may use something
+like
+
+@lisp
+(bootloader
+ (grub-configuration
+ ;; @dots{}
+ (theme (grub-theme
+         (inherit %default-theme)
+         (gfxmode '("1024x786x32" "auto"))))))
+@end lisp
=20
 @node Invoking guix system
 @section Invoking @code{guix system}
diff --git a/gnu/bootloader/grub.scm b/gnu/bootloader/grub.scm
index adcdbdbab0..229bba96ad 100644
--- a/gnu/bootloader/grub.scm
+++ b/gnu/bootloader/grub.scm
@@ -3,6 +3,7 @@
 ;;; Copyright =C2=A9 2016 Chris Marusich <cmmarusich@HIDDEN>
 ;;; Copyright =C2=A9 2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright =C2=A9 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright =C2=A9 2019 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -88,7 +89,9 @@ denoting a file name."
   (color-normal    grub-theme-color-normal
                    (default '((fg . cyan) (bg . blue))))
   (color-highlight grub-theme-color-highlight
-                   (default '((fg . white) (bg . blue)))))
+                   (default '((fg . white) (bg . blue))))
+  (gfxmode         grub-gfxmode
+                   (default '("auto"))))          ;list of string
=20
 (define %background-image
   (grub-image
@@ -149,8 +152,10 @@ system string---e.g., \"x86_64-linux\"."
     ;; most other modern architectures have no other mode and therefore do=
n't
     ;; need to be switched.
     (if (string-match "^(x86_64|i[3-6]86)-" system)
-        "
-  # Leave 'gfxmode' to 'auto'.
+        (string-append "
+  set gfxmode=3D" (string-join
+                 (grub-gfxmode (bootloader-configuration-theme config))
+                 ";") "
   insmod video_bochs
   insmod video_cirrus
   insmod gfxterm
@@ -166,7 +171,7 @@ system string---e.g., \"x86_64-linux\"."
     insmod vbe
     insmod vga
   fi
-"
+")
         ""))
=20
   (define (setup-gfxterm config font-file)
--=20
2.24.0


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38809; Package guix-patches. Full text available.

Message received at 38809 <at> debbugs.gnu.org:


Received: (at 38809) by debbugs.gnu.org; 4 Jan 2020 10:41:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 04 05:41:47 2020
Received: from localhost ([127.0.0.1]:42507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ingsN-0001pp-4X
	for submit <at> debbugs.gnu.org; Sat, 04 Jan 2020 05:41:47 -0500
Received: from tobias.gr ([80.241.217.52]:42230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1ingsK-0001pf-Mo
 for 38809 <at> debbugs.gnu.org; Sat, 04 Jan 2020 05:41:45 -0500
Received: by tobias.gr (OpenSMTPD) with ESMTP id 28dc8237;
 Sat, 4 Jan 2020 10:41:41 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=JOBoxHDY3H9vNVc9ugeskm
 XrWv6rv5c/lpl79BQWJ68=; b=ZVZ8qAXbCW9ubhcZKRlrOHpTU2vCVdE37fKCF1
 iOw+uovdf3W3YBdY24knG4xTVMz47cTCYGykkEMnzQYjTX4W7U2Dw/xyv78OaXb6
 +cUA7l3mjZQoyJLetr1ivUkSodVwpwZ+tRihUJRJ1UxjftDjKkqMEu0nNgbSix0/
 UhbYhWUOB/FDJlwXvkjCvEoZsVr1Z5Bh6bMB+9eT+tLX1bqGxdL4UxGgWm7c3ZUn
 0ed+VjsupWd+ofVZH3kHPL9Vs46mIj0I66+smXE3Ip3VaRik2ct5zeqWdxqyJv7n
 mqZtaPcZmaCjzcOWuledarn44eaJD6DP7C/IWZ33iWWLNGsg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 4c82cc84
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Sat, 4 Jan 2020 10:41:38 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 38809 <at> debbugs.gnu.org, Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: [bug#38809] [PATCH] bootloader: grub: Add resolution override.
References: <87lfquhzmi.fsf@HIDDEN>
In-reply-to: <87lfquhzmi.fsf@HIDDEN>
Date: Sat, 04 Jan 2020 11:41:36 +0100
Message-ID: <87lfqn8pwf.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38809
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Jan Nieuwenhuizen =E5=86=99=E9=81=93=EF=BC=9A
> With this patch I finally have a readable GRUB menu.

Thanks!  Perhaps it will help solve my EFI framebuffer woes=20
(probably not but who knows.

> I am not sure about the name and semantics of `resolution':
> Better to use `gfxmode', and/or use a list of strings
> '("1024x768x32" "auto"), ... WDYT?

Yes please, on both counts.  Grub-theme should expose the GRUB=20
variable, not a lossy abstraction.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEfo+u0AlEeO9y5k0W2Imw8BjFSTwFAl4Qa+AACgkQ2Imw8BjF
STxfzw//U0NLd2qwRyWJGE238fw1jEuj7STLag921qyR4qKVZRuw3xNkgG4DZBf/
gUvYcbjQfevgPmtYsq/qF5yOlDSbYqQX9f/40I8tTTO94t7D1GD5G7cZcWoppZe4
VUr0FDmTpmAjZh85KkeznOcTxx1RGg0sFXcPMtF7H5cPlyPN4VaZch1mkChdxEET
gISQd9T7sMwkZiP73NwrHOk60WKazFuVKjQAUve1AGqBHGwVu8p0MdF9VJ4DV1Va
wnbOEOsj0cqBpYDsN2dTZGYwT5arM6W2Kebi1hxE/QacsIaJznRHobAC9zlD1G1z
liXauQ4aqJdmMoX8i/QYeh4MQ80IeTfoodZ6EL91F7nwDbTB1KqfVYtaXylWx52L
Qx38BMyiyx7DQ0ZRIE/q8Kq22NgxWxUMinLUAImGNT1wHmRCqFWxquoRW1AcalMP
r/mKGyC2nJN2ID4LmM438jwLxkO3thzi33ITF1RTUwK02JDLJXz+gMptI/vWGYka
tJfhWjcKcHBRjWF7Z7KSTYi29t6ugjVhNFJ24BPsu8Bjzz/L2ie1orvdx7nrtPWz
VLsCVa2giLlmqTAfQ2W5UTQdl2DgTF+JKebq2hlzk1N817XB/sQ7d+YCGB38+3q0
h6Lc+bA1xqxrQhmd7v+IlivyLJJ8rszH+T3o230R4P28oQQknyw=
=ClaN
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38809; Package guix-patches. Full text available.

Message received at 38809 <at> debbugs.gnu.org:


Received: (at 38809) by debbugs.gnu.org; 4 Jan 2020 04:39:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 03 23:39:53 2020
Received: from localhost ([127.0.0.1]:42353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1inbE8-0001FV-Qf
	for submit <at> debbugs.gnu.org; Fri, 03 Jan 2020 23:39:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brettg@HIDDEN>) id 1inbE7-0001FH-Qc
 for 38809 <at> debbugs.gnu.org; Fri, 03 Jan 2020 23:39:52 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47333)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brettg@HIDDEN>)
 id 1inbE2-0004lV-Ka; Fri, 03 Jan 2020 23:39:46 -0500
Received: from [2605:6000:1a0d:4c95::3d] (port=48910 helo=oryx)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <brettg@HIDDEN>)
 id 1inbE2-0005q9-4h; Fri, 03 Jan 2020 23:39:46 -0500
From: Brett Gilio <brettg@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: [bug#38809] [PATCH] bootloader: grub: Add resolution override.
References: <87lfquhzmi.fsf@HIDDEN>
Date: Fri, 03 Jan 2020 22:39:57 -0600
In-Reply-To: <87lfquhzmi.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Mon, 30
 Dec 2019 11:33:09 +0100")
Message-ID: <87eewfzvfm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38809
Cc: 38809 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jan Nieuwenhuizen <janneke@HIDDEN> writes:

> Hi,
>
> With this patch I finally have a readable GRUB menu.  I am not sure
> about the name and semantics of `resolution': Better to use `gfxmode',
> and/or use a list of strings '("1024x768x32" "auto"), ... WDYT?
>
> Greetings,
> janneke
>
>>From dfceb5702b0de5787f79e1098b4787e9d3adbe4e Mon Sep 17 00:00:00 2001
> From: Jan Nieuwenhuizen <janneke@HIDDEN>
> Date: Mon, 30 Dec 2019 11:25:40 +0100
> Subject: [PATCH] bootloader: grub: Add resolution override.
>
> * gnu/bootloader/grub.scm (<grub-theme>): Add `resolution' entry.
> (eye-candy): Use it.
> * doc/guix.texi (Bootloader Configuration): Document it.
> ---
>  doc/guix.texi           | 26 ++++++++++++++++++++++++--
>  gnu/bootloader/grub.scm | 11 +++++++----
>  2 files changed, 31 insertions(+), 6 deletions(-)
>
> diff --git a/doc/guix.texi b/doc/guix.texi
> index efc59c1aaf..02cecae043 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -25923,9 +25923,20 @@ must @emph{not} be an OS device name such as @fi=
le{/dev/sda1}.
>  @end table
>  @end deftp
>=20=20
> +@cindex HDPI
> +@cindex resolution
>  @c FIXME: Write documentation once it's stable.
> -For now only GRUB has theme support. GRUB themes are created using
> -the @code{grub-theme} form, which is not documented yet.
> +For now only GRUB has theme support.  GRUB themes are created using
> +the @code{grub-theme} form, which is not fully documented yet.
> +
> +@deftp {Data Type} grub-theme
> +Data type representing the configuration of the GRUB theme.
> +
> +@table @asis
> +@item @code{resolution} (default: @code{"auto"})
> +The @code{gfxmode} to set (@pxref{gfxmode,,, grub, GNU GRUB manual}).
> +@end table
> +@end deftp
>=20=20
>  @defvr {Scheme Variable} %default-theme
>  This is the default GRUB theme used by the operating system if no
> @@ -25936,6 +25947,17 @@ It comes with a fancy background image displayin=
g the GNU and Guix
>  logos.
>  @end defvr
>=20=20
> +For example, to override the default resolution, you may use something
> +like
> +
> +@lisp
> +(bootloader
> + (grub-configuration
> + ;; @dots{}
> + (theme (grub-theme
> +         (inherit %default-theme)
> +         (resolution "1024x786x32;auto")))))
> +@end lisp
>=20=20
>  @node Invoking guix system
>  @section Invoking @code{guix system}
> diff --git a/gnu/bootloader/grub.scm b/gnu/bootloader/grub.scm
> index fd62f627a0..70de3edeb5 100644
> --- a/gnu/bootloader/grub.scm
> +++ b/gnu/bootloader/grub.scm
> @@ -3,6 +3,7 @@
>  ;;; Copyright =C2=A9 2016 Chris Marusich <cmmarusich@HIDDEN>
>  ;;; Copyright =C2=A9 2017 Leo Famulari <leo@HIDDEN>
>  ;;; Copyright =C2=A9 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
> +;;; Copyright =C2=A9 2019 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -88,7 +89,9 @@ denoting a file name."
>    (color-normal    grub-theme-color-normal
>                     (default '((fg . cyan) (bg . blue))))
>    (color-highlight grub-theme-color-highlight
> -                   (default '((fg . white) (bg . blue)))))
> +                   (default '((fg . white) (bg . blue))))
> +  (resolution      grub-resolution
> +                   (default "auto")))
>=20=20
>  (define %background-image
>    (grub-image
> @@ -149,8 +152,8 @@ system string---e.g., \"x86_64-linux\"."
>      ;; most other modern architectures have no other mode and therefore =
don't
>      ;; need to be switched.
>      (if (string-match "^(x86_64|i[3-6]86)-" system)
> -        "
> -  # Leave 'gfxmode' to 'auto'.
> +        (string-append "
> +  set gfxmode=3D" (grub-resolution (bootloader-configuration-theme confi=
g)) "
>    insmod video_bochs
>    insmod video_cirrus
>    insmod gfxterm
> @@ -166,7 +169,7 @@ system string---e.g., \"x86_64-linux\"."
>      insmod vbe
>      insmod vga
>    fi
> -"
> +")
>          ""))
>=20=20
>    (define (setup-gfxterm config font-file)
> --=20
> 2.24.0

Hi Jan,

This seems like a sensible change, and is something other distributions
seem to implement in their own manner, as well. I am in favor of this
change, and will test it ASAP.

--=20
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<brettg@HIDDEN> <brettg@HIDDEN>




Information forwarded to guix-patches@HIDDEN:
bug#38809; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Dec 2019 10:33:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 30 05:33:21 2019
Received: from localhost ([127.0.0.1]:60511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ilsMO-00008o-8L
	for submit <at> debbugs.gnu.org; Mon, 30 Dec 2019 05:33:21 -0500
Received: from lists.gnu.org ([209.51.188.17]:48857)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1ilsMM-00008e-6M
 for submit <at> debbugs.gnu.org; Mon, 30 Dec 2019 05:33:15 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:58866)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>) id 1ilsMK-0007Vc-Hr
 for guix-patches@HIDDEN; Mon, 30 Dec 2019 05:33:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=ALL_TRUSTED,BAYES_50,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33030)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1ilsMK-000239-Cy; Mon, 30 Dec 2019 05:33:12 -0500
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=58498
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1ilsMJ-0007p9-SI; Mon, 30 Dec 2019 05:33:12 -0500
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] bootloader: grub: Add resolution override.
Date: Mon, 30 Dec 2019 11:33:09 +0100
Message-ID: <87lfquhzmi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Hi,

With this patch I finally have a readable GRUB menu.  I am not sure
about the name and semantics of `resolution': Better to use `gfxmode',
and/or use a list of strings '("1024x768x32" "auto"), ... WDYT?

Greetings,
janneke


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0001-bootloader-grub-Add-resolution-override.patch
Content-Transfer-Encoding: quoted-printable

From dfceb5702b0de5787f79e1098b4787e9d3adbe4e Mon Sep 17 00:00:00 2001
From: Jan Nieuwenhuizen <janneke@HIDDEN>
Date: Mon, 30 Dec 2019 11:25:40 +0100
Subject: [PATCH] bootloader: grub: Add resolution override.

* gnu/bootloader/grub.scm (<grub-theme>): Add `resolution' entry.
(eye-candy): Use it.
* doc/guix.texi (Bootloader Configuration): Document it.
---
 doc/guix.texi           | 26 ++++++++++++++++++++++++--
 gnu/bootloader/grub.scm | 11 +++++++----
 2 files changed, 31 insertions(+), 6 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index efc59c1aaf..02cecae043 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -25923,9 +25923,20 @@ must @emph{not} be an OS device name such as @file=
{/dev/sda1}.
 @end table
 @end deftp
=20
+@cindex HDPI
+@cindex resolution
 @c FIXME: Write documentation once it's stable.
-For now only GRUB has theme support. GRUB themes are created using
-the @code{grub-theme} form, which is not documented yet.
+For now only GRUB has theme support.  GRUB themes are created using
+the @code{grub-theme} form, which is not fully documented yet.
+
+@deftp {Data Type} grub-theme
+Data type representing the configuration of the GRUB theme.
+
+@table @asis
+@item @code{resolution} (default: @code{"auto"})
+The @code{gfxmode} to set (@pxref{gfxmode,,, grub, GNU GRUB manual}).
+@end table
+@end deftp
=20
 @defvr {Scheme Variable} %default-theme
 This is the default GRUB theme used by the operating system if no
@@ -25936,6 +25947,17 @@ It comes with a fancy background image displaying =
the GNU and Guix
 logos.
 @end defvr
=20
+For example, to override the default resolution, you may use something
+like
+
+@lisp
+(bootloader
+ (grub-configuration
+ ;; @dots{}
+ (theme (grub-theme
+         (inherit %default-theme)
+         (resolution "1024x786x32;auto")))))
+@end lisp
=20
 @node Invoking guix system
 @section Invoking @code{guix system}
diff --git a/gnu/bootloader/grub.scm b/gnu/bootloader/grub.scm
index fd62f627a0..70de3edeb5 100644
--- a/gnu/bootloader/grub.scm
+++ b/gnu/bootloader/grub.scm
@@ -3,6 +3,7 @@
 ;;; Copyright =C2=A9 2016 Chris Marusich <cmmarusich@HIDDEN>
 ;;; Copyright =C2=A9 2017 Leo Famulari <leo@HIDDEN>
 ;;; Copyright =C2=A9 2017 Mathieu Othacehe <m.othacehe@HIDDEN>
+;;; Copyright =C2=A9 2019 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -88,7 +89,9 @@ denoting a file name."
   (color-normal    grub-theme-color-normal
                    (default '((fg . cyan) (bg . blue))))
   (color-highlight grub-theme-color-highlight
-                   (default '((fg . white) (bg . blue)))))
+                   (default '((fg . white) (bg . blue))))
+  (resolution      grub-resolution
+                   (default "auto")))
=20
 (define %background-image
   (grub-image
@@ -149,8 +152,8 @@ system string---e.g., \"x86_64-linux\"."
     ;; most other modern architectures have no other mode and therefore do=
n't
     ;; need to be switched.
     (if (string-match "^(x86_64|i[3-6]86)-" system)
-        "
-  # Leave 'gfxmode' to 'auto'.
+        (string-append "
+  set gfxmode=3D" (grub-resolution (bootloader-configuration-theme config)=
) "
   insmod video_bochs
   insmod video_cirrus
   insmod gfxterm
@@ -166,7 +169,7 @@ system string---e.g., \"x86_64-linux\"."
     insmod vbe
     insmod vga
   fi
-"
+")
         ""))
=20
   (define (setup-gfxterm config font-file)
--=20
2.24.0


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com

--=-=-=--




Acknowledgement sent to Jan Nieuwenhuizen <janneke@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38809; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 8 Jan 2020 06:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.